<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (version 1.7.0_80) on Wed Sep 20 14:52:16 UTC 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>org.gradle.plugins.ide.idea.model (Gradle API 4.2)</title>
<meta name="date" content="2017-09-20">
<link rel="stylesheet" type="text/css" href="../../../../../../javadoc.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="org.gradle.plugins.ide.idea.model (Gradle API 4.2)";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../overview-summary.html">Overview</a></li>
<li class="navBarCell1Rev">Package</li>
<li>Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../org/gradle/plugins/ide/idea/package-summary.html">Prev Package</a></li>
<li><a href="../../../../../../org/gradle/plugins/javascript/base/package-summary.html">Next Package</a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../index.html?org/gradle/plugins/ide/idea/model/package-summary.html" target="_top">Frames</a></li>
<li><a href="package-summary.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h1 title="Package" class="title">Package&nbsp;org.gradle.plugins.ide.idea.model</h1>
<div class="docSummary">
<div class="block">Classes for the model used by the <a href="../../../../../../org/gradle/plugins/ide/idea/IdeaPlugin.html" title="class in org.gradle.plugins.ide.idea"><code>IdeaPlugin</code></a>.</div>
</div>
<p>See:&nbsp;<a href="#package_description">Description</a></p>
</div>
<div class="contentContainer">
<ul class="blockList">
<li class="blockList">
<table class="packageSummary" border="0" cellpadding="3" cellspacing="0" summary="Interface Summary table, listing interfaces, and an explanation">
<caption><span>Interface Summary</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Interface</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../../org/gradle/plugins/ide/idea/model/Dependency.html" title="interface in org.gradle.plugins.ide.idea.model">Dependency</a></td>
<td class="colLast">
<div class="block">Represents a dependency of an IDEA module.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<table class="packageSummary" border="0" cellpadding="3" cellspacing="0" summary="Class Summary table, listing classes, and an explanation">
<caption><span>Class Summary</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Class</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../../org/gradle/plugins/ide/idea/model/FilePath.html" title="class in org.gradle.plugins.ide.idea.model">FilePath</a></td>
<td class="colLast">
<div class="block">A Path that keeps the reference to the File</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../../org/gradle/plugins/ide/idea/model/IdeaLanguageLevel.html" title="class in org.gradle.plugins.ide.idea.model">IdeaLanguageLevel</a></td>
<td class="colLast">
<div class="block">Java language level used by IDEA projects.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../../org/gradle/plugins/ide/idea/model/IdeaModel.html" title="class in org.gradle.plugins.ide.idea.model">IdeaModel</a></td>
<td class="colLast">
<div class="block">DSL-friendly model of the IDEA project information.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../../org/gradle/plugins/ide/idea/model/IdeaModule.html" title="class in org.gradle.plugins.ide.idea.model">IdeaModule</a></td>
<td class="colLast">
<div class="block">Enables fine-tuning module details (*.iml file) of the IDEA plugin.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../../org/gradle/plugins/ide/idea/model/IdeaModuleIml.html" title="class in org.gradle.plugins.ide.idea.model">IdeaModuleIml</a></td>
<td class="colLast">
<div class="block">Models the generation/parsing/merging capabilities of an IDEA module.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../../org/gradle/plugins/ide/idea/model/IdeaProject.html" title="class in org.gradle.plugins.ide.idea.model">IdeaProject</a></td>
<td class="colLast">
<div class="block">Enables fine-tuning project details (*.ipr file) of the IDEA plugin.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../../org/gradle/plugins/ide/idea/model/IdeaWorkspace.html" title="class in org.gradle.plugins.ide.idea.model">IdeaWorkspace</a></td>
<td class="colLast">
<div class="block">Enables fine-tuning workspace details (*.iws file) of the IDEA plugin.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../../org/gradle/plugins/ide/idea/model/JarDirectory.html" title="class in org.gradle.plugins.ide.idea.model">JarDirectory</a></td>
<td class="colLast">
<div class="block">Represents a jar directory element of an idea module library.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../../org/gradle/plugins/ide/idea/model/Jdk.html" title="class in org.gradle.plugins.ide.idea.model">Jdk</a></td>
<td class="colLast">
<div class="block">Represents information for the project Java SDK.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../../org/gradle/plugins/ide/idea/model/Module.html" title="class in org.gradle.plugins.ide.idea.model">Module</a></td>
<td class="colLast">
<div class="block">Represents the customizable elements of an iml (via XML hooks everything of the iml is customizable).</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../../org/gradle/plugins/ide/idea/model/ModuleDependency.html" title="class in org.gradle.plugins.ide.idea.model">ModuleDependency</a></td>
<td class="colLast">
<div class="block">Represents an orderEntry of type module in the iml XML.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../../org/gradle/plugins/ide/idea/model/ModuleLibrary.html" title="class in org.gradle.plugins.ide.idea.model">ModuleLibrary</a></td>
<td class="colLast">
<div class="block">Represents an orderEntry of type module-library in the iml XML.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../../org/gradle/plugins/ide/idea/model/Path.html" title="class in org.gradle.plugins.ide.idea.model">Path</a></td>
<td class="colLast">
<div class="block">Represents a path in a format as used often in ipr and iml files.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../../org/gradle/plugins/ide/idea/model/PathFactory.html" title="class in org.gradle.plugins.ide.idea.model">PathFactory</a></td>
<td class="colLast">
<div class="block">Path Factory.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../../org/gradle/plugins/ide/idea/model/Project.html" title="class in org.gradle.plugins.ide.idea.model">Project</a></td>
<td class="colLast">
<div class="block">Represents the customizable elements of an ipr (via XML hooks everything of the ipr is customizable).</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../../org/gradle/plugins/ide/idea/model/ProjectLibrary.html" title="class in org.gradle.plugins.ide.idea.model">ProjectLibrary</a></td>
<td class="colLast">
<div class="block">A project-level IDEA library.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../../org/gradle/plugins/ide/idea/model/SingleEntryModuleLibrary.html" title="class in org.gradle.plugins.ide.idea.model">SingleEntryModuleLibrary</a></td>
<td class="colLast">
<div class="block">Single entry module library</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../../org/gradle/plugins/ide/idea/model/Workspace.html" title="class in org.gradle.plugins.ide.idea.model">Workspace</a></td>
<td class="colLast">
<div class="block">Represents the customizable elements of an ipr (via XML hooks everything of the ipr is customizable).</div>
</td>
</tr>
</tbody>
</table>
</li>
</ul>
<a name="package_description">
<!--   -->
</a>
<h2 title="Package org.gradle.plugins.ide.idea.model Description">Package org.gradle.plugins.ide.idea.model Description</h2>
<div class="block">Classes for the model used by the <a href="../../../../../../org/gradle/plugins/ide/idea/IdeaPlugin.html" title="class in org.gradle.plugins.ide.idea"><code>IdeaPlugin</code></a>.</div>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../overview-summary.html">Overview</a></li>
<li class="navBarCell1Rev">Package</li>
<li>Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../org/gradle/plugins/ide/idea/package-summary.html">Prev Package</a></li>
<li><a href="../../../../../../org/gradle/plugins/javascript/base/package-summary.html">Next Package</a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../index.html?org/gradle/plugins/ide/idea/model/package-summary.html" target="_top">Frames</a></li>
<li><a href="package-summary.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
